Skip to main content
PUT
/
v1
/
vms
/
images
/
{image_id}
/
complete_upload
Complete image upload
curl --request PUT \
  --url https://api.sfcompute.com/v1/vms/images/{image_id}/complete_upload \
  --header 'Content-Type: application/json' \
  --data '
{
  "sha256_hash": "<string>"
}
'
{
  "object": "image",
  "upload_status": "<string>",
  "image_id": "<string>"
}

Path Parameters

image_id
string
required

VM image ID

Body

application/json

Request body for completing a multipart upload

sha256_hash
string
required

SHA256 hash of the uploaded file for integrity verification

Response

Response body for completing a multipart upload

object
enum<string>
required
Available options:
image
Example:

"image"

upload_status
string
required

Status of the upload verification

image_id
string
required

The image ID